--- title: "Check document translation status" slug: "ai-naver-papagodoctranslation-status" tags: ["Papago Translation"] updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/ai-naver-papagodoctranslation-status" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Check document translation status Available in Classic and VPC Check the progress of a document translation with the current processing stage and progress (%). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /status | ### Request headers For information about the headers common to all Papago Translation APIs, see [Papago Translation request headers](/docs/en/ai-naver-papagonmt#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `requestId` | String | Required | ID issued with the translation request (Request ID) - Unique identification value for each document translation request | ### Request example The request example is as follows: ``` curl --location --request GET 'https://papago.apigw.ntruss.com/doc-trans/v1/status ?requestId={requestId}' \ --header 'X-NCP-APIGW-API-KEY-ID: {Client ID issued when registering the app}' \ --header 'X-NCP-APIGW-API-KEY: {Client secret issued when registering the app}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `data` | Object | - | Progress status details | | `data.status` | String | - | Current translation progress stage - `WAITING` \| `PROGRESS` \| `COMPLETE` \| `FAILED` - `WAITING`: translation pending - `PROGRESS`: translation in progress - `COMPLETE`: translation complete and file available for download - `FAILED`: translation failed | | `data.progressPercent` | Integer | - | File translation progress (%) - Can be checked if `status` is `PROGRESS`. | | `data.errCode` | String | - | Error code - Can be checked if `status` is `FAILED`. | | `data.errMsg` | String | - | Error message - Can be checked if `status` is `FAILED`. | ### Response status codes For information about the HTTP status codes common to all Papago Translation APIs, see [Papago Translation response status codes](/docs/en/ai-naver-papagonmt#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: #### Succeeded The following is a sample response upon a successful call. ``` { "data": { "status": "COMPLETE" } } ``` ``` { "data": { "status": "PROGRESS", "progressPercent": 24 } } ``` #### Failure The following is a sample response upon a failed call. ``` { "data": { "status": "FAILED", "errCode": "17", "errMsg": "Detected langcode is the same as target langcode" } } ```